<?php

declare(strict_types=1);

namespace System\Contracts;

interface ContainerInterface
{
    public function bind(string $abstract, mixed $concrete): void;

    public function singleton(string $abstract, mixed $concrete): void;

    public function make(string $abstract): mixed;

    public function has(string $abstract): bool;
}